---
canonical: https://grafana.com/docs/grafana/latest/alerting/best-practices/tutorials/
description: This section provides a set of step-by-step tutorials guides to get started with Grafana Aletings.
keywords:
  - grafana
  - tutorials
labels:
  products:
    - cloud
    - enterprise
    - oss
menuTitle: Tutorials
title: Grafana Alerting tutorials
weight: 1800
---

# Grafana Alerting tutorials

This section provides step-by-step tutorials to help you learn Grafana Alerting and explore key features through practical, easy-to-follow examples.

## Get started with Grafana Alerting

- [Create and receive your first alert](https://grafana.com/tutorials/alerting-get-started/)
- [Create multi-dimensional alerts and route them](https://grafana.com/tutorials/alerting-get-started-pt2/)
- [Group alert notifications](https://grafana.com/tutorials/alerting-get-started-pt3/)
- [Template your alert notifications](https://grafana.com/tutorials/alerting-get-started-pt4/)

## Additional tutorials

- [Route alerts using dynamic labels](https://grafana.com/tutorials/alerting-get-started-pt5/)
- [Link alerts to visualizations](https://grafana.com/tutorials/alerting-get-started-pt6/)
- [Create alerts with log data](https://grafana.com/tutorials/create-alerts-with-logs/)
- [Create alerts with InfluxDB and Flux queries](https://grafana.com/tutorials/create-alerts-from-flux-queries/)
